package com.shkj.wms.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author lch
 */
@Getter
@AllArgsConstructor
public enum NumberPreEnum {

    JHBM001("JHBM001", "1", "计划编码"),
    HWTZ("HWTZ", "1", "货位调整"),
    /**
     * 1、商品
     */
    SP("SP", "1", "商品"),

    BZ("BZ", "1", "包装"),
    BC("BC", "1", "波次"),
    SH("SH", "1", "收货"),
    BH("BH", "1", "补货"),
    JHD("JHD", "1", "拣货单"),
    SQD("SQD", "1", "索取单"),
    TM("TM", "1", "出库条码"),
    YK("YK", "1", "移库"),

    SD("SD", "1", "锁定"),
    PD("PD", "1", "盘点"),


    RW("RW", "1", "任务"),

    /**
     * 客户
     */
    KH("KH", "1", "客户信息"),
    ;

    public static NumberPreEnum getNumberPreEnum(String value){
        for (NumberPreEnum numberPreEnum : NumberPreEnum.values()) {
            if (numberPreEnum.getValue().equals(value)){
                return numberPreEnum;
            }
        }
        return null;
    }
    private String value;
    private String type;
    private String desc;

}
